Summary: A document formatting system.
Name: groff
Version: 1.17.2
Release: 1.3.0
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
Source1: mf40-groff_filters
Source2: README.A4
# Japanese sources
Source3: mandocj.tar.gz
Source4: man-pages-ja-GNU_groff-20000115.tar.gz
Source5: groff.test
Source6: hyphen.cs
Patch1: groff-1.16-safer.patch
Patch2: groff-1.17.2-16.patch
Patch3: groff-1.17.2-16.diff
URL: ftp://ftp.gnu.org/gnu/groff/
Requires: mktemp
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: groff-tools

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

%prep
%setup -q -a 4
%patch1 -p1 -b .safer
%patch2 -p1 -b .japanese

cp %{SOURCE2} .

%build
PATH=$PATH:%{_prefix}/X11R6/bin
#autoconf
%configure --enable-japanese
make

%install
rm -rf ${RPM_BUILD_ROOT}
PATH=$PATH:%{_prefix}/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
%makeinstall manroot=${RPM_BUILD_ROOT}/%{_mandir}

#mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{_prefix}/share
ln -s s.tmac	${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gs.tmac
ln -s mse.tmac	${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gmse.tmac
ln -s m.tmac	${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gm.tmac
ln -s troff	${RPM_BUILD_ROOT}%{_prefix}/bin/gtroff
ln -s tbl	${RPM_BUILD_ROOT}%{_prefix}/bin/gtbl
ln -s pic	${RPM_BUILD_ROOT}%{_prefix}/bin/gpic
ln -s eqn	${RPM_BUILD_ROOT}%{_prefix}/bin/geqn
ln -s neqn	${RPM_BUILD_ROOT}%{_prefix}/bin/gneqn
ln -s refer	${RPM_BUILD_ROOT}%{_prefix}/bin/grefer
ln -s lookbib	${RPM_BUILD_ROOT}%{_prefix}/bin/glookbib
ln -s indxbib	${RPM_BUILD_ROOT}%{_prefix}/bin/gindxbib
ln -s soelim	${RPM_BUILD_ROOT}%{_prefix}/bin/gsoelim
ln -s soelim    ${RPM_BUILD_ROOT}%{_prefix}/bin/zsoelim
ln -s nroff	${RPM_BUILD_ROOT}%{_prefix}/bin/gnroff

# Build system is compressing man-pages
ln -s eqn.1.gz		${RPM_BUILD_ROOT}%{_mandir}/man1/geqn.1.gz
ln -s indxbib.1.gz	${RPM_BUILD_ROOT}%{_mandir}/man1/gindxbib.1.gz
ln -s lookbib.1.gz	${RPM_BUILD_ROOT}%{_mandir}/man1/glookbib.1.gz
ln -s nroff.1.gz 	${RPM_BUILD_ROOT}%{_mandir}/man1/gnroff.1.gz
ln -s pic.1.gz		${RPM_BUILD_ROOT}%{_mandir}/man1/gpic.1.gz
ln -s refer.1.gz 	${RPM_BUILD_ROOT}%{_mandir}/man1/grefer.1.gz
ln -s soelim.1.gz	${RPM_BUILD_ROOT}%{_mandir}/man1/gsoelim.1.gz
ln -s soelim.1.gz	${RPM_BUILD_ROOT}%{_mandir}/man1/zsoelim.1.gz
ln -s tbl.1.gz		${RPM_BUILD_ROOT}%{_mandir}/man1/gtbl.1.gz
ln -s troff.1.gz 	${RPM_BUILD_ROOT}%{_mandir}/man1/gtroff.1.gz

mkdir -p ${RPM_BUILD_ROOT}/usr/share/printconf/mf_rules
cp %{SOURCE1} ${RPM_BUILD_ROOT}/usr/share/printconf/mf_rules/
mkdir -p ${RPM_BUILD_ROOT}/usr/share/printconf/tests
cp %{SOURCE5} ${RPM_BUILD_ROOT}/usr/share/printconf/tests/

find ${RPM_BUILD_ROOT}%{_prefix}/bin ${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l | \
	grep -v afmtodit | grep -v grog | grep -v mdoc.samples |\
	grep -v mmroff |\
	sed "s|${RPM_BUILD_ROOT}||g" | sed "s|\.[0-9]|\.*|g" > groff-files

install -m 644 %SOURCE6 $RPM_BUILD_ROOT/usr/share/groff/%version/tmac/hyphen.cs

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f groff-files
%defattr(-,root,root)
%doc	BUG-REPORT NEWS PROBLEMS README README.A4 TODO VERSION
%{_prefix}/share/groff
#/usr/share/printconf/tests/*
#/usr/share/printconf/mf_rules/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
